<script >
import ReSidebar from "@/components/ReSidebar.vue";
import Select from "@/components/Select.vue";
 export default {
   name:"ParkCar",
   components:{
     Select,
     ReSidebar
   },
   data(){
     return{
       radar:true,
       sideList: [

         {
           name: "全景",
           icon: "ic_dipilot",
         },
         {
           name: "设置",
           icon: "ic_setting",
         },

       ],
       activeIndex: 0,
     }
   },
   methods:{
     handleSideClick(item, index) {
       this.activeIndex = index;
       console.log("index:"+index)
     },
   }
 }
</script>

<template>
  <div class="VR">
    <div class="VR-container">
      <div class="VR-side">
        <div class="VR-side-warp">
          <ReSidebar

              :side-bar-list="sideList"
              :active-index="activeIndex"
              @click="handleSideClick"
          />
        </div>
      </div>
      <div class="VR-main">
        <div class="VR_img">
          <img src="../../assets/images/setting/ParkCar/car_vr_img.webp" alt=""/></div>
      </div>
    </div>
  </div>
</template>

<style scoped lang="scss">
.VR_img{
  img{
    width: 100%;
    object-fit: contain;
  }
}


.VR {
  height: 100%;
  background: #f0f3f7;
  box-sizing: border-box;
  padding-top: 46px;
  //padding-bottom: 80px;
  &-container {
    height: 100%;
    display: flex;
  }
  &-side {
    height: calc(100% - 90px);
    margin-top: 44px;
    background: #f6f8fa;
  }
  .VR-side-warp {
    height: 875px;
  }
  &-main {
    flex: 1;
    //padding: 80px 40px;
  }
}

:deep(.sidebar-container-main){
   justify-content: center;
}
</style>